Attribute VB_Name = "mDeclares"
Enum MessageType
  [OkOnly] = 0
  [YesNo] = 1
  [CancelAbortRetry] = 2
  [YesNoCancel] = 3
End Enum
Public Enum MessageResult
  [Ok] = 0
  [Yes] = 1
  [No] = 2
  [Cancel] = 3
  [Abort] = 4
  [Retry] = 5
End Enum
Public Enum IconType
  [AbortRetry] = 0
  [Question] = 1
  [Ex] = 2
  [Information] = 3
  [None] = 4
End Enum
Public Result As MessageResult
Public Function MessageBox(Message As String, Title As String, MessageType As MessageType, Icon As IconType)
'Set What Buttons to be Visible and What They Say
If MessageType = 0 Then
    frmMessage.picHolder(1).Visible = False
    frmMessage.picHolder(2).Visible = False
    frmMessage.lblName(0) = "Ok"
ElseIf MessageType = 1 Then
    frmMessage.picHolder(2).Visible = False
    frmMessage.lblName(0) = "Yes"
    frmMessage.lblName(1) = "No"
ElseIf MessageType = 2 Then
    frmMessage.lblName(0) = "Abort"
    frmMessage.lblName(1) = "Retry"
    frmMessage.lblName(2) = "Cancel"
ElseIf MessageType = 3 Then
    frmMessage.lblName(0) = "Yes"
    frmMessage.lblName(1) = "No"
    frmMessage.lblName(2) = "Cancel"
End If
'All Icons Invisible
For i = 0 To 3: frmMessage.IconImage(i).Visible = False: Next
'Check Which Icon the User Wants and Set it Visible
If Icon = 0 Then
    frmMessage.IconImage(0).Visible = True
ElseIf Icon = 1 Then
    frmMessage.IconImage(1).Visible = True
ElseIf Icon = 2 Then
    frmMessage.IconImage(2).Visible = True
ElseIf Icon = 3 Then
    frmMessage.IconImage(3).Visible = True
ElseIf Icon = 4 Then
End If

'If No Message Set to Default
If Message = "" Then
    frmMessage.lblMessage = "No Message!"
Else
    frmMessage.lblMessage = Message
End If
'If No Title Set to Default
If Title = "" Then
    frmMessage.Caption = App.Title & ": Message Box"
Else
    frmMessage.Caption = Title
End If
'From Load
frmMessage.Show 1
End Function
